<?php

namespace app\admin\controller;


use Tinywan\Storage\Storage;

class UploadFile
{
    /**
     * @Desc 上传文件
     * @Author Gorden
     * @Date 2024/2/26 13:22
     *
     * @return \support\Response
     */
    public function upload()
    {
        $config = config('plugin.tinywan.storage.app.storage.local');
        $config['single_limit'] = 123;
        $res = Storage::uploadFile($config);
        $data = [
            'url' => $res[0]['url'],
            'path' => 'storage/'.date('Ymd').'/'.$res[0]['save_name'],
            'size' => $res[0]['size'],
            'mime_type' => $res[0]['mime_type'],
        ];

        return json_success('上传成功', $data);
    }
}